Skip to main content
GET
Get order draft by ID

Headers

x-site-context
string
required

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

Path Parameters

id
string
required

Order draft ID

Example:

"d7e78a21-bee3-4448-bf1c-d5b5461dbda2"

Response

OK

Order draft response

cartId
string
required

Cart ID

Example:

"b8a64b52-dab4-8137-8d6a-f2c2337abc1"

orderStatus
object
required
orderTotal
number<double>
required

Total amount for the order

Example:

60

orderSubTotal
number<double>
required

Total amount for the order without discounts

Example:

60

taxTotal
number<double>
required

Total tax applied on the order

Example:

60

orderDiscount
number<double>
required

Total discount applied on the order

Example:

60

currency
string
required

Currency code

Example:

"USD"

createdAt
string<date-time>
required

Time order draft was created

Example:

"2022-02-18T15:12:40.974580"

items
object[]
required
shipInfo
object[]
required
orderNumber
string | null

Order number

Example:

123123123

orderType
string | null

Order type (WEB, CSC, MOBILE_APP, POS)

Example:

"WEB"

orderSubType
string | null

Order sub type (Android/IOS/International)

Example:

"Android"

customer
object | null

Customer details

attributes
object | null

Cart metadata

Example:
payments
object[] | null
accountId
string | null

Customer account ID

Example:

"5f689caa4216e7000750d1ef"

totalItems
integer<int32> | null

Total number of items in the cart

Example:

3

totalUniqueItems
integer<int32> | null

Total number of unique line items in the cart

Example:

2

configuration
object | null

Cart configuration

fees
object[] | null

Fees associated with a specific cart or an individual line item of a cart

orderTotalFees
number<double> | null

Total fees applied on the order

Example:

60

error
object | null

error object